/**
 * 初期化処理
**/
function InitTemplateMainR1()
{
	/**
	 * オープニングのオブジェクト
	**/
	Main.Opening.StartFrame = 0;
	Main.Opening.EndFrame =   0;
	Main.Opening.Times =      1;
	Main.Opening.A3tNode = [];

	/**
	 * 第一階層定常状態のオブジェクト
	**/
	Main.NormalTop.StartFrame = 0;
	Main.NormalTop.EndFrame =   60;
	Main.NormalTop.Times =       1;
	Main.NormalTop.A3tNode = [
		"Shape1",
		"Plane03"
	];

	/**
	 * 第一階層ラウンチのオブジェクト
	**/
	Main.ExecTop.StartFrame = 0;
	Main.ExecTop.EndFrame =   0;
	Main.ExecTop.Times =      1;
	Main.ExecTop.A3tNode = [];

	/**
	 * 時計オブジェクト
	**/
	Time.ClockHor = "clock_time";
	Time.ClockMin = "clock_minute";

	/**
	 * メニュー構成
	**/
	Main.ExecId = {
		Top0: "system.Launcher.exec.0",
		Top1: "system.Launcher.dial"
	};

	Main.Ext = ExtMainR1;

	//A3T設定
	SetA3tItem();

	Main.State = Main.STATE_OPENING;
}

function onEnterFrame()
{
	Main.onEnterFrame();
	// 時間の設定
	Time.SetTime();
}




//くもをタッチ
function a3t_PLAY_KUMO(){

	page.TouchLock = 1;
	page.obj_frame_TIME += 3;
	page.a3t.a3itemSetTime("Shape1",geta3tframetime(page.obj_frame_TIME+30));

	//上の部分が30回ループしたら↓が実行される(END）
	if(page.obj_frame_TIME > 15){
		page.obj_frame_TIME = 0;
		page.TouchLock = "";
		page.anime = "";
		system.exec("system.Launcher.exec.0");
	}
}

//ゼロをタッチ
function a3t_PLAY_ZERO(){

	a3tSetDissolve( "phone_l_f" , 0);
	page.TouchLock = 1;
	page.obj_frame_TIME += 3;
	page.a3t.a3itemSetTime("phone_l_f",geta3tframetime(page.obj_frame_TIME));

	//上の部分が30回ループしたら↓が実行される(END）
	if(page.obj_frame_TIME > 15){
		page.obj_frame_TIME = 0;
		page.TouchLock = "";
		page.anime = "";
		system.exec("system.Launcher.dial");
		a3tSetDissolve( "phone_l_f" , 100);
	}
}

//永久ループアニメーション
function a3t_PLAY_MUGEN(){

	page.obj_frame_TIME_Mugen30f += 1;
	page.obj_frame_TIME_Mugen60f += 1;

		page.a3t.a3itemSetTime("Shape1",geta3tframetime(page.obj_frame_TIME_Mugen30f));
		page.a3t.a3itemSetTime("Plane01",geta3tframetime(page.obj_frame_TIME_Mugen30f));
		page.a3t.a3itemSetTime("zero",geta3tframetime(page.obj_frame_TIME_Mugen60f));

	if(page.obj_frame_TIME_Mugen30f > 30){
		page.obj_frame_TIME_Mugen30f = 0;
	}

	if(page.obj_frame_TIME_Mugen60f > 60){
		page.obj_frame_TIME_Mugen60f = 0;
	}
}
